Package org.dojotoolkit.shrinksafe

# Class Main

java.lang.Object
org.dojotoolkit.shrinksafe.Main

public class Main extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static org.mozilla.javascript.tools.ToolErrorReporter`
`errorReporter`
`protected static boolean`
`escapeUnicode`
`protected static int`
`exitCode`
`protected static final org.mozilla.javascript.tools.shell.Global`
`global`
`protected static final org.mozilla.javascript.tools.shell.ShellContextFactory`
`shellContextFactory`
`protected static String`
`stripConsole`

## Constructor Summary

Constructors
Constructor
Description
`Main()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static String[]`
`processOptions(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### global

protected static final org.mozilla.javascript.tools.shell.Global global

### shellContextFactory

protected static final org.mozilla.javascript.tools.shell.ShellContextFactory shellContextFactory

### errorReporter

protected static org.mozilla.javascript.tools.ToolErrorReporter errorReporter

### exitCode

protected static int exitCode

### escapeUnicode

protected static boolean escapeUnicode

### stripConsole

protected static String stripConsole

## Constructor Details

### Main

public Main()

## Method Details

### main

public static void main(String[] args)

### processOptions

public static String[] processOptions(String[] args)